=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2009 Fredo6 - Designed and written April 2009 by Fredo6

# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   Zloader__RoundCorner.rb
# Original Date	:   30 Apr 2009 - version 2.0
# Description	:   Register the FreeCorner tool as a LibFredo6 Plugin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

fro6__plugin = "RoundCorner"
fro6__dir = "ROUNDCORNER_Dir_23"

begin
	require 'LibFredo6.rb'
rescue
	unless @fro6__url
		@fro6__url = "http://forums.sketchucation.com/viewtopic.php?f=323&t=17947#p144178"
		case Sketchup.get_locale
		when /\AFR/i
			text = "Problème avec l'installation du plugin #{fro6__plugin}"
			text += "\nLibFredo6 n'est pas install\é ou bien n'est pas dans le bon dossier\nConsulter"
		else	
			text = "Problem with the installation of plugin #{fro6__plugin}"
			text += "\nLibFredo6 is not installed or not in the right location\nPlease see"
		end
		text += ' ' + @fro6__url
		UI.messagebox text
	end	
end	

begin
	LibFredo6.register_plugin fro6__plugin, fro6__dir
rescue
end